## gazebo 7.8.1+dfsg

=== debian/changelog ===
gazebo (7.8.1+dfsg-4ubuntu1) bionic; urgency=medium

  * Add patch for new tinyxml, thanks Peter Michael Green (Closes: 887931)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 30 Jan 2018 09:44:37 +0000

gazebo (7.8.1+dfsg-4build1) bionic; urgency=medium

  * No-change rebuild for tinyxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jan 2018 06:35:44 +0000

gazebo (7.8.1+dfsg-4) unstable; urgency=medium

  * Team upload.

  [ Iain Lane ]
  * Take patch from Fedora to fix FTBFS when running moc. Update it a bit for
    current gazebo. (Closes: #882591)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 23 Dec 2017 18:01:02 +0100

gazebo (7.8.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Move dependency according to links file.
  * Add patch for Q_MOC_RUN (Closes: #882591)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 25 Nov 2017 12:35:51 +0100

gazebo (7.8.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * strlen patch taken from upstream (Closes: #876562)
  * Fix fonts dependencies (Closes: #878595, #857393, #857393)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 16 Oct 2017 01:03:51 +0200

gazebo (7.8.1+dfsg-1) unstable; urgency=medium

  * Remove merged patches
  * Imported Upstream version 7.8.1
  * Update standards to 4.0.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 05 Sep 2017 19:29:48 +0000

=== debian/control ===
Source: gazebo
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper (>>9),
               bash-completion,
               doxygen,
               doxygen-latex,
               texlive-fonts-recommended,
               fonts-liberation,
               libfreeimage-dev,
               libprotoc-dev,
               libprotobuf-dev,
               protobuf-compiler,
               freeglut3-dev,
               libcurl4-openssl-dev,
               libtinyxml-dev,
               libtinyxml2-dev,
               libtar-dev,
               libtbb-dev,
               libogre-1.9-dev,
               libxml2-dev,
               libqt4-dev,
               libltdl-dev,
               libboost-thread-dev,
               libboost-signals-dev,
               libboost-system-dev,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-regex-dev,
               libboost-iostreams-dev,
               libgts-dev,
               libavformat-dev,
               libavcodec-dev,
               libswscale-dev,
               libusb-1.0-0-dev,
               libspnav-dev,
               libsdformat4-dev (>= 4.1.0) | libsdformat-dev,
               libignition-math2-dev,
               libbullet-dev,
               libsimbody-dev,
               libsimbody-dev (<< 4.0.0),
               libkido-dev [amd64 arm64 i386 ppc64el alpha mipsel],
               libgdal-dev,
               ruby-ronn,
               libgtest-dev
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/gazebo.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/gazebo.git
Homepage: http://gazebosim.org/

Package: gazebo7-common
Architecture: all
Multi-Arch: foreign
Depends: fonts-dejavu-core,
         fonts-liberation,
         ${misc:Depends}
Breaks: gazebo6-common
Replaces: gazebo6-common
Description: Open Source Robotics Simulator - Shared files
 Gazebo is a multi-robot simulator for outdoor environments. Like
 Stage (part of the Player project), it is capable of simulating a
 population of robots, sensors and objects, but does so in a
 three-dimensional world. It generates both realistic sensor feedback
 and physically plausible interactions between objects (it includes an
 accurate simulation of rigid-body physics).
 .
 This package contains shared files such as 3d models, worlds and
 robots.

Package: gazebo7
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ruby,
         libgazebo7 (= ${binary:Version}),
         gazebo7-common (= ${source:Version})
Recommends: gazebo7-plugin-base
Suggests: gazebo7-doc
Breaks: gazebo6
Replaces: gazebo6
Description: Open Source Robotics Simulator - Binaries
 Gazebo is a multi-robot simulator for outdoor environments. Like
 Stage (part of the Player project), it is capable of simulating a
 population of robots, sensors and objects, but does so in a
 three-dimensional world. It generates both realistic sensor feedback
 and physically plausible interactions between objects (it includes an
 accurate simulation of rigid-body physics).
 .
 This package contains then main application binaries

Package: libgazebo7
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Open Source Robotics Simulator - shared library
 Gazebo is a multi-robot simulator for outdoor environments. Like
 Stage (part of the Player project), it is capable of simulating a
 population of robots, sensors and objects, but does so in a
 three-dimensional world. It generates both realistic sensor feedback
 and physically plausible interactions between objects (it includes an
 accurate simulation of rigid-body physics).
 .
 This package gathers shared libraries used

Package: libgazebo7-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libtbb-dev,
         libxml2-dev,
         libqt4-dev,
         libprotoc-dev,
         libfreeimage-dev,
         libprotobuf-dev,
         libboost-all-dev,
         freeglut3-dev,
         libogre-1.9-dev,
         libtar-dev,
         libcurl4-openssl-dev | libcurl-dev,
         libgts-dev,
         libusb-1.0-0-dev,
         libgdal-dev,
         libavformat-dev,
         libavcodec-dev,
         libswscale-dev,
         libsdformat4-dev (>= 4.1.0) | libsdformat-dev,
         libignition-math2-dev,
         libbullet-dev,
         libsimbody-dev,
         libkido-dev [amd64 arm64 i386 ppc64el alpha mipsel],
         libgazebo7 (= ${binary:Version}),
         gazebo7-common (= ${source:Version}),
         gazebo7-plugin-base (= ${binary:Version}),
         ${misc:Depends}
Breaks: libgazebo6-dev
Replaces: libgazebo6-dev
Description: Open Source Robotics Simulator - Development Files
 Gazebo is a multi-robot simulator for outdoor environments. Like
 Stage (part of the Player project), it is capable of simulating a
 population of robots, sensors and objects, but does so in a
 three-dimensional world. It generates both realistic sensor feedback
 and physically plausible interactions between objects (it includes an
 accurate simulation of rigid-body physics).
 .
 This package contains development files (headers, shared library
 symbolic link and pkg-config file).

Package: gazebo7-plugin-base
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends}
Enhances: gazebo7
Replaces: gazebo6-plugin-base
Description: Open Source Robotics Simulator - base plug-ins
 Gazebo is a multi-robot simulator for outdoor environments. Like
 Stage (part of the Player project), it is capable of simulating a
 population of robots, sensors and objects, but does so in a
 three-dimensional world. It generates both realistic sensor feedback
 and physically plausible interactions between objects (it includes an
 accurate simulation of rigid-body physics).
 .
 This package gathers built-in plugins.

Package: gazebo7-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         libjs-jquery
Breaks: gazebo6-doc
Replaces: gazebo6-doc
Description: Open Source Robotics Simulator - Documentation
 Gazebo is a multi-robot simulator for outdoor environments. Like
 Stage (part of the Player project), it is capable of simulating a
 population of robots, sensors and objects, but does so in a
 three-dimensional world. It generates both realistic sensor feedback
 and physically plausible interactions between objects (it includes an
 accurate simulation of rigid-body physics).
 .
 This package contains the program documentation.

## gazebo 9.0.0%2Bdfsg5

=== media/CMakeLists.txt ===
add_subdirectory(audio)
add_subdirectory(dem)
add_subdirectory(fonts)
add_subdirectory(gui)
add_subdirectory(materials)
add_subdirectory(models)

# use glsl 150 shaders if ogre version >= 1.9
if ((NOT ${OGRE_VERSION} VERSION_LESS 1.9.0) AND NOT APPLE)
  add_subdirectory(rtshaderlib150)
else ()
  add_subdirectory(rtshaderlib)
endif()

add_subdirectory(skyx)

=== plugins/CMakeLists.txt ===
if (WIN32)
  add_definitions(-DBUILDING_DLL -DBUILDING_DLL_GZ_PLUGIN)
endif()

include_directories(
  ${PROJECT_SOURCE_DIR}
  ${PROTOBUF_INCLUDE_DIR}
  ${SDFormat_INCLUDE_DIRS}
  ${OGRE_INCLUDE_DIRS}
  ${Qt5Core_INCLUDE_DIRS}
)

# Tinyxml are used since the plugins are linking against gazebo_common
# which uses tinxyml. Not defining the link directory here will end up
# failures in clang.
link_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CURL_LIBDIR}
  ${CCD_LIBRARY_DIRS}
  ${SDFormat_LIBRARY_DIRS}
  ${tinyxml_LIBRARY_DIRS}
)

add_definitions(${Qt5Core_DEFINITIONS})
set (CMAKE_AUTOMOC ON)

if (HAVE_BULLET)
  link_directories(${BULLET_LIBRARY_DIRS})
endif()

if (HAVE_DART)
  include_directories(${DART_INCLUDE_DIRS})
  link_directories(${DART_LIBRARY_DIRS})
endif()

if (HAVE_UUID)
  include_directories(${uuid_INCLUDE_DIRS})
  link_directories(${uuid_LIBRARY_DIRS})
  add_definitions(${uuid_CFLAGS})
endif()

set (plugins_single_header
  ActorPlugin
  ActuatorPlugin
  ArduCopterPlugin
  ArrangePlugin
  AttachLightPlugin
  BlinkVisualPlugin
  BreakableJointPlugin
  BuoyancyPlugin
  CameraPlugin
  CartDemoPlugin
  CessnaPlugin
  ContactPlugin
  DepthCameraPlugin
  DiffDrivePlugin
  FiducialCameraPlugin
  FollowerPlugin
  ForceTorquePlugin
  GimbalSmall2dPlugin
  GpuRayPlugin
  HarnessPlugin
  HeightmapLODPlugin
  ImuSensorPlugin
  InitialVelocityPlugin
  JointTrajectoryPlugin
  KeysToJointsPlugin
  LensFlareSensorPlugin
  LiftDragPlugin
  LinearBatteryConsumerPlugin
  LinearBatteryPlugin
  LinkPlot3DPlugin
  ModelPropShop
  MudPlugin
  PlaneDemoPlugin
  PressurePlugin
  RayPlugin
  RaySensorNoisePlugin
  RubblePlugin
  SkidSteerDrivePlugin
  SonarPlugin
  SphereAtlasDemoPlugin
  TouchPlugin
  VehiclePlugin
  WindPlugin
)

set (plugins_private_header
  ElevatorPlugin
  RandomVelocityPlugin
  TransporterPlugin
)

if (HAVE_USB AND UNIX AND NOT APPLE)
  set (plugins_single_header ${plugins_single_header}
    HydraPlugin
    HydraDemoPlugin
  )
endif()

set (GUIplugins
  CessnaGUIPlugin
  KeyboardGUIPlugin
  LookAtDemoPlugin
  TimerGUIPlugin
)

set (DARTplugins
  GravityCompensationPlugin
)

set(GAZEBO_PLUGIN_INSTALL_DIR
  ${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}/gazebo-${GAZEBO_MAJOR_VERSION}/plugins/
)

foreach (src ${plugins_single_header})
  add_library(${src} SHARED ${src}.cc)
  target_link_libraries(${src}
    libgazebo
    ${ogre_libraries}
    ${IGNITION-TRANSPORT_LIBRARIES}
  )
  install (TARGETS ${src} DESTINATION ${GAZEBO_PLUGIN_INSTALL_DIR})
  gz_install_includes("plugins" ${src}.hh)
endforeach ()

foreach (src ${plugins_private_header})
  add_library(${src} SHARED ${src}.cc)
  target_link_libraries(${src}
    libgazebo
    ${ogre_libraries}
    ${IGNITION-TRANSPORT_LIBRARIES}
  )
  install (TARGETS ${src} DESTINATION ${GAZEBO_PLUGIN_INSTALL_DIR})
  gz_install_includes("plugins" ${src}.hh)
  gz_install_includes("plugins" ${src}Private.hh)
endforeach ()

foreach (src ${GUIplugins})
  add_library(${src} SHARED ${src}.cc ${${src}_MOC})
  target_link_libraries(${src}
                        libgazebo
                        gazebo_gui
                        ${ogre_libraries}
                        ${Qt5Core_LIBRARIES}
                        ${Qt5Widgets_LIBRARIES}
                        ${IGNITION-TRANSPORT_LIBRARIES}
)
  install (TARGETS ${src} DESTINATION ${GAZEBO_PLUGIN_INSTALL_DIR})
  gz_install_includes("plugins" ${src}.hh)
endforeach ()

if (HAVE_DART_URDF)
  foreach (src ${DARTplugins})
    add_library(${src} SHARED ${src}.cc)
    target_link_libraries(${src}
      libgazebo
      ${DART_LIBRARIES}
    )
    install (TARGETS ${src} DESTINATION ${GAZEBO_PLUGIN_INSTALL_DIR})
    gz_install_includes("plugins" ${src}.hh)
  endforeach ()
endif()

add_subdirectory(events)

if (NOT WIN32)
  add_subdirectory(rest_web)
endif()

=== gazebo/rendering/CMakeLists.txt ===
include (${gazebo_cmake_dir}/GazeboUtils.cmake)

include_directories(SYSTEM
  ${OGRE_INCLUDE_DIRS}
  ${TBB_INCLUDEDIR}
  skyx
  skyx/include
)

if (WIN32)
  include_directories(${libdl_include_dir})
endif()

include_directories(${tinyxml_INCLUDE_DIRS})
link_directories(${tinyxml_LIBRARY_DIRS} ${IGNITION-MSGS_LIBRARY_DIRS})

set (sources
  ApplyWrenchVisual.cc
  ArrowVisual.cc
  AxisVisual.cc
  Camera.cc
  CameraVisual.cc
  COMVisual.cc
  ContactVisual.cc
  Conversions.cc
  CustomPSSMShadowCameraSetup.cc
  DepthCamera.cc
  Distortion.cc
  DynamicLines.cc
  DynamicRenderable.cc
  FPSViewController.cc
  GpuLaser.cc
  Grid.cc
  Heightmap.cc
  InertiaVisual.cc
  JointVisual.cc
  LaserVisual.cc
  LensFlare.cc
  LinkFrameVisual.cc
  MarkerManager.cc
  MarkerVisual.cc
  SonarVisual.cc
  Light.cc
  LogicalCameraVisual.cc
  Material.cc
  MovableText.cc
  OrbitViewController.cc
  OriginVisual.cc
  OrthoViewController.cc
  Projector.cc
  RayQuery.cc
  RenderEngine.cc
  RenderEvents.cc
  RenderingIface.cc
  Road2d.cc
  RFIDVisual.cc
  RFIDTagVisual.cc
  RTShaderSystem.cc
  Scene.cc
  SelectionObj.cc
  TransmitterVisual.cc
  UserCamera.cc
  VideoVisual.cc
  ViewController.cc
  Visual.cc
  WideAngleCamera.cc
  WireBox.cc
  WindowManager.cc
  WrenchVisual.cc
)

if (NOT USE_EXTERNAL_TINYXML)
  include_directories (${CMAKE_SOURCE_DIR}/deps/win/tinyxml)
  set (sources ${sources}
       ${CMAKE_SOURCE_DIR}/deps/win/tinyxml/tinystr.cpp
       ${CMAKE_SOURCE_DIR}/deps/win/tinyxml/tinyxml.cpp
       ${CMAKE_SOURCE_DIR}/deps/win/tinyxml/tinyxmlerror.cpp
       ${CMAKE_SOURCE_DIR}/deps/win/tinyxml/tinyxmlparser.cpp)
endif()

set (headers
  ApplyWrenchVisual.hh
  ArrowVisual.hh
  AxisVisual.hh
  Camera.hh
  CameraVisual.hh
  COMVisual.hh
  ContactVisual.hh
  Conversions.hh
  CustomPSSMShadowCameraSetup.hh
  DepthCamera.hh
  Distortion.hh
  DynamicLines.hh
  DynamicRenderable.hh
  FPSViewController.hh
  GpuLaser.hh
  GpuLaserDataIterator.hh
  GpuLaserDataIteratorImpl.hh
  Grid.hh
  Heightmap.hh
  InertiaVisual.hh
  JointVisual.hh
  LaserVisual.hh
  LensFlare.hh
  LinkFrameVisual.hh
  LogicalCameraVisual.hh
  SonarVisual.hh
  Light.hh
  Material.hh
  MovableText.hh
  OrbitViewController.hh
  OriginVisual.hh
  OrthoViewController.hh
  Projector.hh
  RayQuery.hh
  RenderEngine.hh
  RenderEvents.hh
  RenderingIface.hh
  RenderTypes.hh
  Road2d.hh
  RFIDVisual.hh
  RFIDTagVisual.hh
  RTShaderSystem.hh
  Scene.hh
  SelectionObj.hh
  TransmitterVisual.hh
  UserCamera.hh
  VideoVisual.hh
  ViewController.hh
  Visual.hh
  WideAngleCamera.hh
  WireBox.hh
  WindowManager.hh
  WrenchVisual.hh
  ogre_gazebo.h
)

# This captures headers that should not be installed.
set (internal_headers
  MarkerManager.hh
  MarkerVisual.hh
)

if (${OGRE_VERSION} VERSION_GREATER 1.7.4)
  add_subdirectory(deferred_shading)
endif()

add_subdirectory(selection_buffer)
add_subdirectory(skyx)

if (HAVE_OCULUS)
  set (sources ${sources}
    OculusCamera.cc
  )
  set (headers ${headers}
    OculusCamera.hh
  )
endif ()

set (gtest_sources
  GpuLaserDataIterator_TEST.cc
  RenderingConversions_TEST.cc
)

gz_build_tests(${gtest_sources} EXTRA_LIBS gazebo_rendering)

set (gtest_sources_dri
  ApplyWrenchVisual_TEST.cc
  ArrowVisual_TEST.cc
  AxisVisual_TEST.cc
  CameraVisual_TEST.cc
  COMVisual_TEST.cc
  ContactVisual_TEST.cc
  Distortion_TEST.cc
  GpuLaser_TEST.cc
  Grid_TEST.cc
  Heightmap_TEST.cc
  InertiaVisual_TEST.cc
  JointVisual_TEST.cc
  LaserVisual_TEST.cc
  LogicalCameraVisual_TEST.cc
  LinkFrameVisual_TEST.cc
  MovableText_TEST.cc
  RenderingMaterial_TEST.cc
  OriginVisual_TEST.cc
  RenderEngine_TEST.cc
  RenderingLight_TEST.cc
  RFIDVisual_TEST.cc
  RTShaderSystem_TEST.cc
  Scene_TEST.cc
  SelectionObj_TEST.cc
  SonarVisual_TEST.cc
  TransmitterVisual_TEST.cc
  Visual_TEST.cc
  WrenchVisual_TEST.cc
)

gz_build_dri_tests(${gtest_sources_dri}
  EXTRA_LIBS gazebo_rendering gazebo_test_fixture)

set (rendering_headers "" CACHE INTERNAL "rendering headers" FORCE)
foreach (hdr ${headers})
  APPEND_TO_CACHED_STRING(rendering_headers
    "Rendering Headers" "#include \"gazebo/rendering/${hdr}\"\n")
endforeach()
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/rendering.hh.in
                ${CMAKE_CURRENT_BINARY_DIR}/rendering.hh)

link_directories(
  ${ogre_library_dirs}
)

add_definitions(-DBUILDING_DLL_GZ_RENDERING -DSKYX_LIB)
if (WIN32)
  set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /FIWinsock2.h")
endif()

gz_add_library(gazebo_rendering ${sources})

target_link_libraries(gazebo_rendering
  gazebo_common
  gazebo_msgs
  gazebo_transport
  ${ogre_libraries}
  ${OPENGL_LIBRARIES}
  ${tinyxml_LIBRARIES}
  ${IGNITION-TRANSPORT_LIBRARIES}
  ${IGNITION-MSGS_LIBRARIES}
)

if (HAVE_OCULUS)
  target_link_libraries(gazebo_rendering ${OculusVR_LIBRARIES})
endif()

if (NOT APPLE AND NOT WIN32)
  target_link_libraries(gazebo_rendering X11)
endif()

if (USE_PCH)
  add_pch(gazebo_rendering rendering_pch.hh ${Boost_PKGCONFIG_CFLAGS})
endif()

gz_install_library(gazebo_rendering)
gz_install_includes("rendering" ${headers} ${CMAKE_CURRENT_BINARY_DIR}/rendering.hh)

=== gazebo/sensors/CMakeLists.txt ===
include (${gazebo_cmake_dir}/GazeboUtils.cmake)

if (WIN32)
  include_directories(${libdl_include_dir})
endif()

set (sources
  AltimeterSensor.cc
  CameraSensor.cc
  ContactSensor.cc
  DepthCameraSensor.cc
  ForceTorqueSensor.cc
  GaussianNoiseModel.cc
  GpsSensor.cc
  GpuRaySensor.cc
  ImuSensor.cc
  LogicalCameraSensor.cc
  MagnetometerSensor.cc
  MultiCameraSensor.cc
  Noise.cc
  RaySensor.cc
  RFIDSensor.cc
  RFIDTag.cc
  SensorsIface.cc
  Sensor.cc
  SensorFactory.cc
  SensorManager.cc
  SensorTypes.cc
  SonarSensor.cc
  WideAngleCameraSensor.cc
  WirelessReceiver.cc
  WirelessTransceiver.cc
  WirelessTransmitter.cc
)

set (headers
  AltimeterSensor.hh
  CameraSensor.hh
  ContactSensor.hh
  DepthCameraSensor.hh
  ForceTorqueSensor.hh
  GaussianNoiseModel.hh
  GpsSensor.hh
  GpuRaySensor.hh
  ImuSensor.hh
  LogicalCameraSensor.hh
  MagnetometerSensor.hh
  MultiCameraSensor.hh
  Noise.hh
  RaySensor.hh
  RFIDSensor.hh
  RFIDTag.hh
  SensorsIface.hh
  Sensor.hh
  SensorTypes.hh
  SensorFactory.hh
  SensorManager.hh
  SonarSensor.hh
  WideAngleCameraSensor.hh
  WirelessReceiver.hh
  WirelessTransceiver.hh
  WirelessTransmitter.hh
)

set (gtest_sources
  Noise_TEST.cc
)
gz_build_tests(${gtest_sources} EXTRA_LIBS gazebo_sensors)

set (gtest_fixture_sources
  AltimeterSensor_TEST.cc
  ForceTorqueSensor_TEST.cc
  GpsSensor_TEST.cc
  ImuSensor_TEST.cc
  MagnetometerSensor_TEST.cc
  RaySensor_TEST.cc
  Sensor_TEST.cc
  SonarSensor_TEST.cc
  WirelessReceiver_TEST.cc
  WirelessTransmitter_TEST.cc
)
gz_build_tests(${gtest_fixture_sources}
  EXTRA_LIBS gazebo_sensors gazebo_test_fixture)

set (gtest_sources_dri
  CameraSensor_TEST.cc
  DepthCameraSensor_TEST.cc
  GpuRaySensor_TEST.cc
  SensorManager_TEST.cc
)
gz_build_dri_tests(${gtest_sources_dri}
  EXTRA_LIBS gazebo_sensors gazebo_test_fixture)

set (sensors_headers "" CACHE INTERNAL "sensors headers" FORCE)
foreach (hdr ${headers})
  APPEND_TO_CACHED_STRING(sensors_headers "sensors headers"
    "#include \"gazebo/sensors/${hdr}\"\n")
endforeach()
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/sensors.hh.in ${CMAKE_CURRENT_BINARY_DIR}/sensors.hh)


gz_add_library(gazebo_sensors ${sources})

target_link_libraries(gazebo_sensors
  gazebo_common
  gazebo_rendering
  gazebo_physics
  ${libtool_library}
  ${Boost_LIBRARIES}
  ${ogre_ldflags}
  )

gz_install_library(gazebo_sensors)
gz_install_includes("sensors" ${headers} ${CMAKE_CURRENT_BINARY_DIR}/sensors.hh)

=== media/gui/CMakeLists.txt ===
add_subdirectory(looknfeel)
add_subdirectory(schemes)
add_subdirectory(imagesets)
add_subdirectory(fonts)
add_subdirectory(layouts)
add_subdirectory(animations)

=== test/performance/CMakeLists.txt ===
include_directories (
  ${ODE_INCLUDE_DIRS}
  ${OPENGL_INCLUDE_DIR}
  ${OGRE_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${PROTOBUF_INCLUDE_DIR}
)

link_directories(
  ${ogre_library_dirs}
  ${Boost_LIBRARY_DIRS}
  ${ODE_LIBRARY_DIRS}
)

if (HAVE_BULLET)
  include_directories ( ${BULLET_INCLUDE_DIRS} )
  link_directories ( ${BULLET_LIBRARY_DIRS} )
endif()

# Per issue #802, these tests are not yet portable
if (NOT APPLE AND NOT WIN32)
  set(tests
    RAMLibrary_TEST.cc
  )
  gz_build_tests(${tests})

  set(fixture_tests
    factory_stress.cc
    image_convert_stress.cc
    sensor_stress.cc
    set_world_pose.cc
    transport_stress.cc
  )
  gz_build_tests(${fixture_tests} EXTRA_LIBS gazebo_test_fixture)

  set(tool_tests
    gz_stress.cc
  )
  gz_build_tests(${tool_tests} EXTRA_LIBS gazebo_transport)
endif()

=== test/plugins/CMakeLists.txt ===
if (WIN32)
    add_definitions(-DBUILDING_DLL)
endif()

include_directories(
  ${PROJECT_SOURCE_DIR}
  ${PROTOBUF_INCLUDE_DIR}
  ${SDFormat_INCLUDE_DIRS}
  ${OGRE_INCLUDE_DIRS}
)

link_directories(
  ${SDFormat_LIBRARY_DIRS}
  ${CURL_LIBDIR}
  ${IGNITION-MATH_LIBRARY_DIRS}
)

if (HAVE_BULLET)
  link_directories(${BULLET_LIBRARY_DIRS})
endif()

set (plugins
  ExceptionModelPluginConstructor
  ExceptionModelPluginInit
  ExceptionModelPluginLoad
  ForceTorqueModelRemovalTestPlugin
  Issue1208Plugin
  ModelTrajectoryTestPlugin
  SpringTestPlugin
)

foreach (src ${plugins})
  add_library(${src} SHARED ${src}.cc)
  target_link_libraries(${src} libgazebo ${ogre_libraries})
  add_dependencies(tests ${src})
endforeach (src ${plugins})

=== test/regression/CMakeLists.txt ===
include_directories (
  ${ODE_INCLUDE_DIRS}
  ${OPENGL_INCLUDE_DIR}
  ${OGRE_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${PROTOBUF_INCLUDE_DIR}
)

link_directories(
  ${ogre_library_dirs}
  ${Boost_LIBRARY_DIRS}
  ${ODE_LIBRARY_DIRS}
)

if(HAVE_BULLET)
  include_directories ( ${BULLET_INCLUDE_DIRS} )
  link_directories ( ${BULLET_LIBRARY_DIRS} )
endif()
if(HAVE_DART)
  include_directories ( ${DART_INCLUDE_DIRS} )
  link_directories ( ${DART_LIBRARY_DIRS} )
endif()

set(tests
  351_world_step.cc
  494_joint_axis_frame.cc
  602_unsubscribe_segfault.cc
  624_collision_world_pose.cc
  876_random_number_generator.cc
  940_force_torque_sensor_frame.cc
  978_joint_anchor.cc
  1082_pid_limits.cc
  1112_force_torque_model_removal.cc
  1124_collision_pose.cc
  1146_collision_bounding_box.cc
  1208_world_plugin_init.cc
  1375_world_reset.cc
  1569_hydra_crash.cc
  1694_world_accel.cc
  1782_unadvertise.cc
)
gz_build_tests(${tests} EXTRA_LIBS gazebo_test_fixture)

set(display_tests
)

# Build the display tests (need extra sources to compile)
gz_build_display_tests(${display_tests})

set(dri_tests
  346_save_lights.cc
  846_typo_in_camera.cc
  1702_remove_model_scene_nodes.cc
)
gz_build_dri_tests(${dri_tests} EXTRA_LIBS gazebo_test_fixture)

add_dependencies(${TEST_TYPE}_1112_force_torque_model_removal
                 ForceTorqueModelRemovalTestPlugin)
add_dependencies(${TEST_TYPE}_1208_world_plugin_init
                 Issue1208Plugin)

=== media/materials/textures/CMakeLists.txt ===
set (files
  beigeWall.jpg
  building_frame.png
  bricks.png
  ceiling_tiled.jpg
  clouds.jpg
  com.png
  dirt_diffusespecular.png
  dirt_normal.png
  flat_normal.png
  fungus_diffusespecular.png
  fungus_normal.png
  granite2.jpg
  granite.jpg
  grass_diffusespecular.png
  grass.jpg
  grass_normal.png
  hardwood_floor.jpg
  heightmap_bowl.png
  motorway.jpg
  noise_rgba.png
  paintedWall.jpg
  pioneerBody.jpg
  primary.jpg
  projection_filter.png
  random.png
  residential.jpg
  road1.jpg
  runway.png
  secondary.jpg
  sidewalk.jpg
  steps.jpeg
  stereo_projection_pattern_high_res.png
  stereo_projection_pattern_high_res_red.png
  terrain_detail.jpg
  terrain.png
  trunk.jpg
  white.bmp
  willowMap.png
  wood.jpg
  WoodPallet.png
)


INSTALL(FILES ${files} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/gazebo-${GAZEBO_MAJOR_VERSION}/media/materials/textures/)

=== debian/changelog ===
gazebo (9.0.0+dfsg5-3ubuntu1) bionic; urgency=medium

  * Revert wrong arch-filtering of build-deps, which causes build failures.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 13:41:04 -0800

gazebo (9.0.0+dfsg5-3) unstable; urgency=medium

  * Filter optional dependencies from those arches that does not support build-dep packages

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 27 Feb 2018 08:53:44 +0000

gazebo (9.0.0+dfsg5-2) unstable; urgency=medium

  * Upload to unsatble
  * Change graphviz by libgraphviz-dev to fix optional support
  * Added ignition-fuelt-tools as dependency to enable optional support

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 20 Feb 2018 15:28:06 +0000

gazebo (9.0.0+dfsg5-1) experimental; urgency=medium

  * Added patch to use roboto system fonts
  * Added patch to use system qtpropertybrowser
  * Missing pieces in the copyright file
  * Remove duplicate dependency on simbody
  * Do not restrict desktops where gazebo is shown
  * Fix lintian errors related to copyright
  * Change to salsa. Break/Replace gazebo7 version
  * Remove gazebo.menu
    (https://www.debian.org/doc/debian-policy/#version-4-0-1)
  * Remove all the SSE logic from rules file
  * Update TODO file with info about the ode packaging exception
  * Simplify and improve the README file: move licenses to its own section and
    use wildcards for listing files when possible
  * Missing font dependencies
  * Remove embedded libraries present in code
  * Added clang-format
  * Update the way of getting sources
  * Imported Upstream version 9.0.0+dfsg
    (Closes: #887931, #874898, #874898)
  * Use system ccd
  * Fix watch file
  * Remove fonts copyright
  * New upstream version 9.0.0+dfsg5

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 15 Feb 2018 02:49:23 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

.PHONY: override_dh_auto_configure	\
	override_dh_auto_build-indep	\
	override_dh_install		\
	override_dh_auto_test           \
	get-orig-source

override_dh_auto_configure:
	dh_auto_configure -- \
                -DUSE_EXTERNAL_TINYXML:BOOL=False \
                -DUSE_HOST_CFLAGS:BOOL=False \
                -DUSE_UPSTREAM_CFLAGS:BOOL=False \
                -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_auto_build-indep:
	dh_auto_build -- doc # Generate Doxygen HTML documentation.

override_dh_install:
	dh_install -- # Install

        # Get rid of fonts already packaged elsewhere.
	rm -f debian/gazebo9-common/usr/share/gazebo-*/media/gui/fonts/DejaVuSans.ttf

override_dh_auto_test:
	# Tests needs an X server running and GPU acceleration
	true

# Upstream release page is generated dynamically taking long time
get-orig-source:
	uscan --timeout 500 --verbose --force-download --repack --compress xz

%:
	dh $@ --buildsystem=cmake --with bash-completion
